// Screen Script
clearscreen();
pushbutton([1,2], "Clipboard TO (Copy from IW28 Notification details and displayed in below textbox)", "?", {"size":[2,70], "process":procClipboardTo});
pushbutton([4,2], "Clear Textbox", "?", {"size":[2,20],"process":procClearTextbox});
textbox([8,2],[24,80],{"name":"mytext1"});
pushbutton([26,2], "Clipboard FROM (Copy data from string, array or text and pasted in IW28)", "?", {"size":[2,70], "process":procClipboardFrom});

// Function to clear textbox
function procClearTextbox(){
	var strBlank = "";	
	copytext({"fromstring":"strBlank","totext":"mytext1"});
}

// Function to copy to clipboard
// The copied value will be available in _clipboard variable
function procClipboardTo(){
	onscreen "SAPLSMTR_NAVIGATION.0100"
		enter("/nIW28");
		
	onscreen "RIQMEL20.1000"	
		set("F[Notification type]", "M1");
		enter("/8");
		
	onscreen "SAPLSLVC_FULLSCREEN.0500"
		enter("/Menu=1,12,3");
		
	onscreen "SAPLSPO5.0110"   /*ZEUS*/
	//onscreen "SAPLSPO5.0101" /*JUNEAU*/
		set("R[In the clipboard]", "X");
		enter({"toclipboard":true});		// Copy contents to clipboard

	onscreen "SAPLSLVC_FULLSCREEN.0500"
	    // _clipboard system variable will have the data which can be copied to variable or text
		var str = _clipboard;
		enter("/n");
		
	onscreen "SAPLSMTR_NAVIGATION.0100"	
		copytext({"fromstring":"str","totext":"mytext1"});
		enter('?');
}

// Function to set value to be copied to clipboard
// Can be copied from string, text and arrays
// Will paste the data from _clipboard to IW28 Notification multi selection pop-up
function procClipboardFrom(){
	onscreen "SAPLSMTR_NAVIGATION.0100"
		enter("/niw28");
		
	onscreen "RIQMEL20.1000"	
		set("F[Notification type]", "M1");
		// _clipboard will hold the text in variable 'txt1'
		set('V[abc]',"");
		set('V[abc1]',"123456");
		set('V[abc2]',"123457");
		set('V[abc3]',"123458");
		copytext({'totext':'txt1','fromstring':'abc'});
		copytext({'totext':'txt1','fromstring':'abc1','appendline':true});
		copytext({'totext':'txt1','fromstring':'abc2','appendline':true});
		copytext({'totext':'txt1','fromstring':'abc3','appendline':true});
		
		// _clipboard will hold the data in array 'arrNotif'
		arrNotif = [];
		for(var i=0;i<50;i++){
			var strqq = ""+i;
			set('V[str]',strqq);
			arrNotif.push(str);
		}
		arrNotif.push("12345");
		arrNotif.push("12346");
		arrNotif.push("12347");
		// _clipboard = txt1;		// Uncomment this line and comment below line, to paste value of txt1
		_clipboard = arrNotif;		// Uncomment this line and comment above line, to paste value of array arrNotif
		enter("=%018");
		
	onscreen "SAPLALDB.3000"		
		enter('/24');	// Paste content of clipboard
}

